<!DOCTYPE html>
<html>
<head>
   <title></title>

</head>
<body>
<form action="form" method="POST" id='formulario'>
	<div>
        <fieldset id='remetente'>
            <legend>Consulta de CEP origem</legend>
            <label for="cep">CEP origem:</label><br>
            <input class='cep' name="cep" type="text" id="cep" value="" onchange="FindCep(this, 'remetente')" /><br />
            <label for="rua">Rua: </label><br>
            <input class='rua' name="rua" type="text" id="rua" /> - <input name="numero" type="text" id="numero" size="5" /><br />
            <label for="bairro">Bairro: </label><br>
            <input class='bairro' name="bairro" type="text" id="bairro" /><br />
            <label for="cidade">Cidade: </label><br>
            <input class='cidade' name="cidade" type="text" id="cidade" /> - <input name="estado" type="text" id="estado" size="5" /><br />
            <label for="bairro">Complemento: </label><br>
            <input class='complemento' name="complemento" type="text" id="complemento" /><br />
        </fieldset>
	</div>

	<br>

	<div>
        <fieldset id='destinatario'>
            <legend>Consulta de CEP destino</legend>
            <label for="cep">CEP destino:</label><br>
            <input class='cep' name="cep" type="text" id="cep" value="" onchange="FindCep(this, 'destinatario')"/><br />
            <label for="rua">Rua: </label><br>
            <input class='rua' name="rua" type="text" id="rua" /> - <input name="numero" type="text" id="numero" size="5" /><br />
            <label for="bairro">Bairro: </label><br>
            <input class='bairro' name="bairro" type="text" id="bairro" /><br />
            <label for="cidade">Cidade: </label><br>
            <input class='cidade' name="cidade" type="text" id="cidade" /> - <input name="estado" type="text" id="estado" size="5" /><br />
            <label for="bairro">Complemento: </label><br>
            <input class='complemento' name="complemento" type="text" id="complemento" /><br />
        </fieldset>
	</div>

	<br>

	<div>
		Formato: <br>
		<select name="formato" id='formato' onchange="showOption(this);">
			<option>--Selecione--</option>
			<option value='1'>Envelope</option>
			<option value='2'>Rolo</option>
			<option value='3'>Caixa</option>
		</select>
	</div>

	<br>

	<div id="peso_div_envelope">
		Peso: <br><input type="text" name="peso_envelope" id="peso_envelope" onchange="verificaPeso(this);" /><br>
	</div>

	<div id="peso_mensagem">
		<p style='color:red'>Peso máximo 1KG</p>
	</div>

	<div id="peso_div">
		Peso: <br><input type="text" name="peso" id="peso" /><br>
	</div>

	<br>

	<div id="comprimento_div">
		Comprimento: <br><input type="text" name="comprimento" id="comprimento" /><br>
	</div>

	<br>

	<div id="altura_div">
		Altura: <br><input type="text" name="altura" id="altura" /><br>
	</div>

	<br>

	<div id="largura_div">
		Largura: <br><input type="text" name="largura" id="largura"><br>
	</div>

	<br>

	<div>
		Serviço: <br>
		<select name="servico" id="servico" onchange="showPrazo(this)">
			<option>--Selecione--</option>
			<option value="4">PAC</option>
			<option value="5">Sedex</option>
			<option value="6">Sedex 10</option>
		</select>
	</div>

	<br>

</form>
<button onclick="calcular()">Calcular</button><br>
<p id="demo"></p>

<fieldset>
	<legend>Resultado</legend>
	<label for="valor">Valor: </label>
	<input type="text" name="valor" id="valor" disabled>&nbsp;
	<label for="prazo">Prazo entrega: </label>
	<input type="text" name="prazo" id="prazo" disabled>
</fieldset>

<script src="jquery/jquery-3.2.1.min.js"></script>
<script type="text/javascript">
$(document).ready(function(){
	hideAll();
})
// Encontrar CEP
function FindCep(cepObj, id){
	var id_section = '#' + id;
	var rua = $(id_section).find('.rua');
	var bairro = $(id_section).find('.bairro');
	var cidade = $(id_section).find('.cidade');
	var estado = $(id_section).find('.estado');

    function limpar() {
        rua.val("");
        bairro.val("");
        cidade.val("");
        estado.val("");
    }

    var cep = cepObj.value.replace(/\D/g, ''); // remove o que não é número

    if (cep != "") {

        var validacep = /^[0-9]{8}$/; // utilizando expressão regular

        // Verifica se o cep está no formato correto
        if (validacep.test(cep)) {

           rua.val("aguarde ...");
            bairro.val("aguarde ...");
            cidade.val("aguarde ...");
            estado.val("aguarde ...");

            $.getJSON("http://cep.republicavirtual.com.br/web_cep.php?cep="+ cep +"&formato=json", function (dados) {

                if (dados.resultado_txt ==  "sucesso - cep completo") {
                    rua.val(dados.logradouro);
                    bairro.val(dados.bairro);
                    cidade.val(dados.cidade);
                    estado.val(dados.uf);
                } 
                else {
                    limpar();
                    alert("O CEP "+ cep +" não foi encontrado.");
                }
            });
        } 
        else {
            limpar();
            alert("CEP inválido.");
        }
    } 
    else {
        limpar();
    }
}

// Quando selecionado o tipo de embalagem, mostra suas opções
function showOption(obj){
	selectedOption = obj.options.selectedIndex
	hideAll();
	if(selectedOption == 1){
		$('#peso_div_envelope').show();
	}else if(selectedOption == 2){
		$('#peso_div').show();
	}else if(selectedOption == 3){
		$('#peso_div').show();
		$('#comprimento_div').show();
		$('#altura_div').show();
		$('#largura_div').show();	
	}
}

// Quando selecionado, mostra o prazo no Input
function showPrazo (obj) {
	selectedOption = $('#servico').find(":selected").val();
	if (selectedOption == 4) {
		document.getElementById('prazo').value = "10 dias";
	} else if (selectedOption == 5) {
		document.getElementById('prazo').value = "5 dias";
	} else if (selectedOption == 6) {
		document.getElementById('prazo').value = "2 dias";
	}
}

// Apaga todos os Inputs, quando atualizado
function hideAll(){
	$('#peso_div').hide();
	$('#comprimento_div').hide();
	$('#peso_div_envelope').hide();
	$('#peso_mensagem').hide();
	$('#altura_div').hide();
	$('#largura_div').hide();
	document.getElementById('valor').value = '';
	document.getElementById('prazo').value = '';

}

// Verifica o peso de determinado objeto
function verificaPeso(obj){
	teste = obj;
	if(obj.value > 1){
		$('#peso_mensagem').show();
	}
	else{
		$('#peso_mensagem').hide();
	}
}

// Calcula o valor de cada objeto
function calcular(obj){
	selectedOption = $("#formato option:selected" ).val();

	if(selectedOption == 1){
		//Envelope
		$('#valor').show();
		console.log(valor)
		peso = parseInt($('#peso_envelope').val());
		if (peso > 1) {

			alert("Verifique o peso");
		}
		else {
			setValue('8,00')
		}

	}else if(selectedOption == 2){
		//Rolo
		peso = parseFloat($('#peso').val());
		preco = peso * 15;
		floatNum = parseFloat(preco);
		setValue(floatNum.toFixed(2))


	}else if(selectedOption == 3){
		//Caixa
		peso = $('#peso').val();
		comprimento = $('#comprimento').val();
		altura = $('#altura').val();
		largura = $('#largura').val();
		preco = (peso * 20);
		floatNum = parseFloat(preco)
		setValue(preco.toFixed(2))
	}
}

// Mostra o valor em um Input
function setValue(valor){
	document.getElementById('valor').value = valor;
}
</script>

</body>
</html>

<!--
SISTEMA DE CALCULO DE FRETE

PRECO CAIXA 20,00;
PRECO ROLO KG 15,00;
PRECO ENVELOPE 8,00;

PAC/ 10 DIAS;
SEDEX 5 DIAS;
SEDEX 10 2 DIAS;
-->
